Subject: [IPTEL] I-D ACTION:draft-ietf-iptel-cpl-04.txt,.ps

From: [email-masked]
Date: Wed, 15 Nov 2000 06:41:52 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IP Telephony Working Group of the IETF.

	Title		: CPL: A Language for User Control of Internet Telephony
                          Services
	Author(s)	: J. Lennox, H. Schulzrinne
	Filename	: draft-ietf-iptel-cpl-04.txt,.ps
	Pages		: 64
	Date		: 14-Nov-00
	
The Call Processing Language (CPL) is a language that can be used to
describe and control Internet telephony services. It is designed to
be implementable on either network servers or user agent servers. It
is meant to be simple, extensible, easily edited by graphical
clients, and independent of operating system or signalling protocol.
It is suitable for running on a server where users may not be allowed
to execute arbitrary programs, as it has no variables, loops, or
ability to run external programs.
This document is a product of the IP Telephony (IPTEL) working group
of the Internet Engineering Task Force. Comments are solicited and
should be addressed to the working group's mailing list at
[email-masked] and/or the authors.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-iptel-cpl-04.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-iptel-cpl-04.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-iptel-cpl-04.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 15 Nov 2000 09:31:05 -0500

Folks,

I have just sent -04 to the IESG for consideration as proposed standard.

I'd like to thank the group for everyones hard work over the past two years
(!!) in getting this specification complete. The last few months in
particular have been very productive, and the activity of the group has been
a model for successful working group operation, I think - focused work,
working towards open issues, rough consensus and working code. Jonathan
Lennox deserves special recognition for his hard work on this, especially in
the creation of the Cal-Code library that really pushed this open issue over
the edge. 

Next up is completion of TRIP.... more on that shortly.

Also, please note that I have requested a single slot at the next IETF. I'd
like to use that time primarily to discuss future directions for the group.
We will not be needing discussion on CPL, and I hope the same to be true for
TRIP. As such, I'd like to encourage people to think about future directions
for the group, and to submit drafts with any ideas they might have on where
to go from here. I am personally working on a draft that considers the
intra-domain route distribution problem.

Thanks,
Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Wednesday, November 15, 2000 6:42 AM
To: IETF-Announce
Cc: [email-masked]
Subject: [IPTEL] I-D ACTION:draft-ietf-iptel-cpl-04.txt,.ps

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the IP Telephony Working Group of the IETF.

	Title		: CPL: A Language for User Control of Internet
Telephony
                          Services
	Author(s)	: J. Lennox, H. Schulzrinne
	Filename	: draft-ietf-iptel-cpl-04.txt,.ps
	Pages		: 64
	Date		: 14-Nov-00

Send a message to:
	[email-masked].
In the body type:

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel